#### D.5.12.19 lcmofall

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  lcmofall(nchart,mobile);
  nchart integer, mobile list of lists

Compute:
  Compute the lcm of the denominators of the E-orders of all the charts

Return:
  an integer given the lcm

Note:
  CALL BEFORE salida

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..2)),dp;
    ideal J=x(1)^3-x(1)*x(2)^3;
    list L=Eresol(J);
    L[4];  // 8 charts, rational exponents
    ==> 8
    L[8][2][2]; // E-orders at the first chart
    ==> [1]:
    ==> 3
    ==> [2]:
    ==> 9/2
    lcmofall(8,L[8]);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.